# Account creation

Version: 1.0

## Servers

Sandbox
```
https://api.solaris-sandbox.de
```

Production
```
https://api.solarisbank.de
```

## Download OpenAPI description

[Account creation](https://docs.solarisgroup.com/_bundle/api-reference/onboarding/account-creation.yaml)

## Account opening

### Create an account opening request

 - [POST /v1/accounts/opening_requests](https://docs.solarisgroup.com/api-reference/onboarding/account-creation/account-opening/create_account_opening_request.md): Creates an account opening request for a specific customer. See the account opening guide for more information about this process and its associated stages.

### Index all account opening requests for all of your customers

 - [GET /v1/accounts/opening_requests](https://docs.solarisgroup.com/api-reference/onboarding/account-creation/account-opening/index_account_opening_requests.md): Returns an array containing all account opening requests for all of your customers.

### Retrieve a single account opening request

 - [GET /v1/accounts/opening_requests/{id}](https://docs.solarisgroup.com/api-reference/onboarding/account-creation/account-opening/get_account_opening_request_by_id.md): Returns the details of the account opening request specified in the request URL.

## Person accounts

### Index a person's accounts

 - [GET /v1/persons/{person_id}/accounts](https://docs.solarisgroup.com/api-reference/onboarding/account-creation/person-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1accounts/get.md): Returns an array containing all accounts owned by the person specified in the request URL.

### Get a single personal account

 - [GET /v1/persons/{person_id}/accounts/{account_id}](https://docs.solarisgroup.com/api-reference/onboarding/account-creation/person-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1accounts~1%7Baccount_id%7D/get.md): Returns information about a single personal banking account.

### Update a personal account

 - [PATCH /v1/persons/{person_id}/accounts/{account_id}](https://docs.solarisgroup.com/api-reference/onboarding/account-creation/person-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1accounts~1%7Baccount_id%7D/patch.md): Updates the personal account specified in the request URL.

## Business accounts

### Retrieve a business account

 - [GET /v1/businesses/{business_id}/accounts/{id}](https://docs.solarisgroup.com/api-reference/onboarding/account-creation/business-accounts/paths/~1v1~1businesses~1%7Bbusiness_id%7D~1accounts~1%7Bid%7D/get.md): Returns the business account specified in the request URL.

